Temp Projects - Tasks #5816

Over payments in negative
03/04/2022 07:05 PM - Rijas P

Status: Closed Start date: 03/04/2022
Priority: Immediate Due date:

Assignee: Rijas P % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.50 hours
Description

We found some negative over payments in some customer's credit management after last live update. Please check and clear it from
the report.PFA

The -ve over payment showing in SOA also, some of our customer complained the same. Therefore please do the needful
immediately.PFA

PS: These over payments not showing in payment history.

History

#1 - 03/28/2022 05:39 PM - Rijas P

Dear Suhail,
Can u please check the above case. Showing many over payments in negative. Please correct it.
#2 - 03/28/2022 09:33 PM - Mohamed Suhail
- File payment _list.csv added
- Status changed from New to In Progress
- % Done changed from 0 to 70
Rijas P wrote:
Dear Subhail,

Can u please check the above case. Showing many over payments in negative. Please correct it.

Rijas,

We had made a fix in code where it was not showing the payment as overpayment in reports when the unallocated amount BETWEEN -0.00999 AND
0.00999

These payments started showing up in reports due to this fix

Please see attached CSV file for the list of payments affected with this change
Please check and revert back with the way forward

#3 - 03/30/2022 03:41 PM - Rijas P

Dear Suhail,

could you please clear all these balance to the ledger account "Payment Discount Expense".

#4 - 04/11/2022 11:38 AM - Rijas P

- File WhatsApp Image 2022-04-09 at 2.13.14 PM.jpeg added

Dear Suhail,

As we discussed, tried to enter each charge invoice entry to adjust the over payments. But the -ve overpayment couldn't able to allocate with charge

invoice entry. It will be great if you can clear all the over payments to the ledger account "Payment Discount Expense". Because there is more than
400 transactions, So if we do manually we have to enter 400 charge invoice transactions.

#5 - 04/18/2022 07:31 AM - Mohamed Suhail
- File payment_negbal.csv added
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

Rijas P wrote:
Dear Subhail,

As we discussed, tried to enter each charge invoice entry to adjust the over payments. But the -ve overpayment couldn't able to allocate with
charge invoice entry. It will be great if you can clear all the over payments to the ledger account "Payment Discount Expense". Because there is
more than 400 transactions, So if we do manually we have to enter 400 charge invoice transactions.

Have corrected for the payments where it is showing -ve open amount balance

euro=# update c_payment set discountamt=discountamt-paymentavailable(c_payment_id),updated=now(),updatedby=100 where docstatus in
('CQO','CL") and paymentavailable(c_payment_id) < 0 and payamt > 0 and ad_client_id=1000000 and isreceipt="Y' and c¢_cashbook_id is null;
UPDATE 211

euro=# update c_allocationline cal set
amount=amount+paymentavailable(aa.c_payment_id),discountamt=discountamt-paymentavailable(aa.c_payment_id),updated=now(),updatedby=100
from (select max(c_allocationline_id) caid,c_payment_id from c_allocationline where c_payment_id in (select c_payment_id from c_payment where
docstatus in ('CO','CL") and paymentavailable(c_payment_id) < 0 and payamt > 0 and ad_client_id=1000000 and isreceipt="Y"' and c_cashbook_id is
null) group by 2) as aa where aa.caid=cal.c_allocationline_id;

UPDATE 211

euro=# delete from fact_acct where ad_table_id=735 and record_id in (select c_allocationhdr_id from c_allocationline where
updated::date=current_date and updatedby=100);

DELETE 942

euro=# update c_allocationhdr set posted="N' where c_allocationhdr_id in (select distinct c_allocationhdr_id from c_allocationline where
updated::date=current_date and updatedby=100);

UPDATE 208

#6 - 04/19/2022 03:56 PM - Mohamed Suhail

- Assignee changed from Mohamed Suhail to Rijas P

Mohamed Suhail wrote:
Rijas P wrote:
Dear Subhail,

As we discussed, tried to enter each charge invoice entry to adjust the over payments. But the -ve overpayment couldn't able to allocate
with charge invoice entry. It will be great if you can clear all the over payments to the ledger account "Payment Discount Expense".
Because there is more than 400 transactions, So if we do manually we have to enter 400 charge invoice transactions.

Have corrected for the payments where it is showing -ve open amount balance

euro=# update c_payment set discountamt=discountamt-paymentavailable(c_payment_id),updated=now(),updatedby=100 where docstatus in
('CQ','CL") and paymentavailable(c_payment_id) < 0 and payamt > 0 and ad_client_id=1000000 and isreceipt="Y' and ¢_cashbook_id is null;
UPDATE 211

euro=# update c_allocationline cal set
amount=amount+paymentavailable(aa.c_payment_id),discountamt=discountamt-paymentavailable(aa.c_payment_id),updated=now(),updatedby
=100 from (select max(c_allocationline_id) caid,c_payment_id from c_allocationline where c_payment_id in (select c_payment_id from
¢_payment where docstatus in ('CQO','CL") and paymentavailable(c_payment_id) < 0 and payamt > 0 and ad_client_id=1000000 and isreceipt="Y"
and c_cashbook_id is null) group by 2) as aa where aa.caid=cal.c_allocationline_id;

UPDATE 211

euro=# delete from fact_acct where ad_table_id=735 and record_id in (select c_allocationhdr_id from c_allocationline where
updated::date=current_date and updatedby=100);

DELETE 942

euro=# update c_allocationhdr set posted="N' where c_allocationhdr_id in (select distinct c_allocationhdr_id from c_allocationline where
updated::date=current_date and updatedby=100);

UPDATE 208

Rijas P please check and confirm

#7 - 04/20/2022 04:40 PM - Rijas P

- Status changed from Resolved to Closed

Found fixed.
#8 - 05/21/2024 04:07 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files

Cash Customer - Dubai .pdf

Negative over payment.JPG

payment_list.csv

WhatsApp Image 2022-04-09 at 2.13.14 PM.jpeg

payment_negbal.csv

07/12/2025

21.7 KB
155 KB
53.9 KB
126 KB
9.83 KB

03/04/2022
03/04/2022
03/28/2022
04/11/2022
04/18/2022

Rijas P
Rijas P
Mohamed Suhail
Rijas P
Mohamed Suhail

3/3


http://www.tcpdf.org

